gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: -work on auto-packaging for De


From: gnunet
Subject: [taler-deployment] branch master updated: -work on auto-packaging for Debian
Date: Sat, 24 Sep 2022 17:43:09 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 646d372  -work on auto-packaging for Debian
646d372 is described below

commit 646d37299cce4433abb7a65e83d1492922c57898
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Sep 24 17:43:06 2022 +0200

    -work on auto-packaging for Debian
---
 packaging/debian-docker/anastasis-build.sh | 26 ++++++++++++++++++++++++++
 packaging/debian-docker/gnunet-build.sh    | 26 ++++++++++++++++++++++++++
 packaging/debian-docker/run.sh             | 16 ++++++++++++++++
 packaging/debian-docker/sync-build.sh      | 25 +++++++++++++++++++++++++
 packaging/debian-docker/taler-build.sh     | 26 ++++++++++++++++++++++++++
 packaging/debian-docker/wallet-build.sh    | 23 +++++++++++++++++++++++
 6 files changed, 142 insertions(+)

diff --git a/packaging/debian-docker/anastasis-build.sh 
b/packaging/debian-docker/anastasis-build.sh
new file mode 100644
index 0000000..2f1d533
--- /dev/null
+++ b/packaging/debian-docker/anastasis-build.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build
+cd /build
+
+# Fetch source
+rm -rf anastasis anastasis-gtk
+git clone git://git.taler.net/anastasis
+git clone git://git.taler.net/anastasis-gtk
+
+for n in anastasis anastasis-gtk
+do
+    cd $n
+    ./bootstrap
+    dpkg-buildpackage -rfakeroot -b -uc -us
+    cd ..
+    dpkg -i *.deb
+done
+
+rm -f packages.tgz
+tar cvf packages.tgz *.deb
diff --git a/packaging/debian-docker/gnunet-build.sh 
b/packaging/debian-docker/gnunet-build.sh
new file mode 100644
index 0000000..a37bff7
--- /dev/null
+++ b/packaging/debian-docker/gnunet-build.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build
+cd /build
+
+# Fetch source
+rm -rf gnunet gnunet-gtk
+git clone git://git.gnunet.org/gnunet
+git clone git://git.gnunet.org/gnunet-gtk
+
+for n in gnunet gnunet-gtk
+do
+    cd $n
+    ./bootstrap
+    dpkg-buildpackage -rfakeroot -b -uc -us
+    cd ..
+    dpkg -i *.deb
+done
+
+rm -rf packages.tgz
+tar cvf packages.tgz *.deb
diff --git a/packaging/debian-docker/run.sh b/packaging/debian-docker/run.sh
new file mode 100755
index 0000000..f809eb1
--- /dev/null
+++ b/packaging/debian-docker/run.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -eu
+CONTAINER=$USER/debbuilder:latest
+docker build -t $CONTAINER .
+rm -rf dist
+mkdir dist
+docker start $CONTAINER
+#sleep 1
+ID=`docker container ls -n1 | grep $CONTAINER | awk '{print $1}`
+docker cp "$ID:/build/packages.tgz" .
+docker stop $CONTAINER
+docker container rm $ID
+cd dist
+tar xvf ../packages.tgz
+cd ..
+rm packages.tgz
diff --git a/packaging/debian-docker/sync-build.sh 
b/packaging/debian-docker/sync-build.sh
new file mode 100644
index 0000000..342a702
--- /dev/null
+++ b/packaging/debian-docker/sync-build.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build
+cd /build
+
+# Fetch source
+rm -rf sync
+git clone git://git.taler.net/sync
+
+for n in sync
+do
+    cd $n
+    ./bootstrap
+    dpkg-buildpackage -rfakeroot -b -uc -us
+    cd ..
+    dpkg -i *.deb
+done
+
+rm -f packages.tgz
+tar cvf packages.tgz *.deb
diff --git a/packaging/debian-docker/taler-build.sh 
b/packaging/debian-docker/taler-build.sh
new file mode 100644
index 0000000..6425870
--- /dev/null
+++ b/packaging/debian-docker/taler-build.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir /build
+cd /build
+
+# Fetch source
+rm -rf exchange merchant
+git clone git://git.taler.net/exchange
+git clone git://git.taler.net/merchant
+
+for n in exchange merchant
+do
+    cd $n
+    ./bootstrap
+    dpkg-buildpackage -rfakeroot -b -uc -us
+    cd ..
+    dpkg -i *.deb
+done
+
+rm -f packages.tgz
+tar cvf packages.tgz *.deb
diff --git a/packaging/debian-docker/wallet-build.sh 
b/packaging/debian-docker/wallet-build.sh
new file mode 100644
index 0000000..f8ad8d4
--- /dev/null
+++ b/packaging/debian-docker/wallet-build.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build
+cd /build
+
+# Fetch source
+rm -rf wallet-core
+git clone git://git.taler.net/wallet-core
+
+cd wallet-core
+./bootstrap
+./configure --prefix=/usr
+make install
+dpkg-buildpackage -rfakeroot -b -uc -us
+cd ..
+
+rm -f packages.tgz
+tar cvf packages.tgz *.deb

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]